Subject: bug#79027: xref/pp changes in latest versions?

From: Drew Adams <[email-masked]>
Date: Wed, 16 Jul 2025 00:27:01 +0000

> This test works well with all Emacs versions from
> 29.1 to 30.1 and with release-snapshot. However
> with the latest versions it seems something in `pp`
> or in `xref` might have changed that I am missing
> and maybe I should update to. Is there any idea of
> what could it be?

I wonder if this might be related to bug #78810.
Maybe not, since you say that the problem you see
doesn't exist in v29.1 to v30.1 (using `pp-29'), and
bug #78810 points to problems that start with v30.1.

Still, I wonder.  You say there's no problem with the
use of `(pp-default-function #'pp-29)'.  And standard
library `bookmark.el' was changed to use `pp-28' as a
workaround for the changed def of `pp':

(let ((pp-default-function #'pp-28))
  (dolist (i bookmark-alist) (pp i (current-buffer))))

But maybe you're seeing another problem with the
changed def of `pp' (or something from `xref'...).

I doubt this helps.  But maybe there's a connection
involving the changed definition of `pp'.